.token {
  margin: 30px 0;

  &__content {
    margin-bottom: 60px;
    align-items: flex-start;
  }
}

.token-descr {
  flex: 1 1 auto;
  flex-direction: column;
  margin-right: 30px;
  max-width: 100%;

  &__top {
    max-width: 660px;
  }

  &__main-img {
    max-width: 100%;
    max-height: 70vh;
    border-radius: 16px;
  }

  &__tabs {
    margin-top: 30px;
    width: 100%;
    max-width: 800px;
  }
}

.token-tabs-menu {
  justify-content: center;
  &__list {
    padding: 5px;
    overflow: scroll hidden;
    background-color: var(--main-004);
    border-radius: 18px;

    &::-webkit-scrollbar {
      width: 0;
      height: 0;
    }
  }

  &__item {
    padding: 7px 16px;
    height: 40px;
    line-height: 40px;
    font-size: 15px;
    background-color: transparent;
    color: var(--main-06);
    &.active {
      background-color: var(--bg);
      color: var(--main);
    }
    &:hover:not(.active) {
      background-color: transparent;
      color: var(--main);
    }
  }
}

.token-tabs-content {
  margin: 30px 0 0;
  &__tab {
    display: none;
    &.active {
      display: block;
    }
  }
}

.token-main {
  position: sticky;
  top: 95px;
  flex: 1 0 100%;
  max-width: 450px;
  

  &__top {
    padding: 0 25px;
  }

  &__persons {
    padding: 24px 0;
    justify-content: space-between;
    gap: 10px;
    border-bottom: 1px solid var(--main-01);
  }

  &__person-box {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  &__person {
    gap: 10px;
    width: calc(50% - 5px);
  }

  &__person-avatar {
    width: 40px;
    height: 40px;
    min-width: 40px;
    border-radius: 50%;
    overflow: hidden;
  }

  &__person-title {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 13px;
  }

  &__person-value {
    color: var(--main);
  }

  &__general {
    padding: 24px;
    border-radius: 16px;
    border: 1px solid var(--main-01);
  }
}

.token-main-head {
  color: var(--main);
  &__coll {
    gap: 10px;
  }

  &__coll-avatar {
    width: 24px;
    height: 24px;
    min-width: 24px;
    border-radius: 6px;
    overflow: hidden;
  }

  &__coll-value {
    gap: 10px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    max-width: 100%;
  }

  &__item-value {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 32px;
    font-weight: 700;
  }
}

.token-main-actions {
  margin: 15px 0 30px;
  gap: 5px;

  &__btn {
    padding: 0px 12px;
    gap: 5px;
    height: 32px;
    line-height: 32px;
    font-size: 13px;
    border-radius: 10px;
    background-color: transparent;
    color: var(--main-06);
    &:hover {
      color: var(--main);
    }
  }
}

.token-main-price {
  gap: 10px;
  margin-bottom: 12px;

  &__item {
    flex: 1 0 calc(50% - 5px);
    padding: 15px;
    border-radius: 14px;
    background-color: var(--main-004);
    font-size: 13px;
  }

  &__title {
    margin-bottom: 5px;
    color: var(--main-06);
    span {
      color: var(--accent);
    }
  }

  &__value {
    font-size: 18px;
  }

  &__summ,
  &__buyer {
    color: var(--main-06);
  }

  &__value,
  &__buyer-link {
    color: var(--main);
    font-weight: 800;
  }
}

.token-main-btns {
  margin: 24px 0 0;
  font-size: 15px;
  text-align: center;

  &__buy {
    margin-bottom: 15px;
    display: flex;
    gap: 10px;
  }

  &__btn {
    width: 100%;
  }

  &__btn-buy {
    gap: 5px;
    padding: 0;
  }

  &__btn-add {
    width: 48px;
    min-width: 48px;

    &.icon-add::before {
      font-size: 16px;
      font-weight: 700;
    }
  }
}

.token-main-timer {
  font-size: 14px;
  padding-top: 24px;
  text-align: center;
}

.token-tabs-item {
  &:not(:last-child) {
    margin-bottom: 40px;
  }
  &__title {
    padding: 0 22px;
    margin-bottom: 20px;
    font-size: 22px;
    line-height: 28px;
  }

  &__body {
    padding: 24px;
    border-radius: 16px;
    border: 1px solid var(--main-01);
  }
}

.token-bids,
.token-history {
  &__item {
    justify-content: space-between;
    gap: 25px;

    &:not(:last-child) {
      margin-bottom: 25px;
    }
  }

  &__person {
    overflow: hidden;
    max-width: 60%;
  }

  &__person-avatar {
    position: relative;
    width: 40px;
    height: 40px;
    min-width: 40px;
  }

  &__person-img {
    border-radius: 50%;
  }

  &__person-verify {
    position: absolute;
    right: -4px;
    bottom: 0;
    width: 16px;
    height: 16px;
  }

  &__person-box {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin-left: 16px;
  }

  &__person-name {
    color: var(--main);
    span {
      color: var(--main-06);
    }
  }

  &__person-date {
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 13px;
  }

  &__price-value,
  &__price-summ {
    display: flex;
    gap: 5px;
    justify-content: flex-end;
  }

  &__price-value {
    color: var(--main);
  }

  &__price-summ {
    font-size: 13px;
  }

  &__btn {
    margin-top: 25px;
    width: 100%;
  }
}

.token-details {
  &__item {
    gap: 10px;
    color: var(--main-08);
    transition: 0.2s;

    &:not(:last-child) {
      margin-bottom: 20px;
    }
  }

  &__line {
    width: 100%;
    height: 1px;
    background-color: var(--main-01);
  }
}

.token-slider {
  flex-direction: column;
  position: relative;

  &:hover {
    .slider-button {
      opacity: 1;
    }
    .swiper-button-disabled {
      opacity: 0;
    }
  }

  &__title {
    font-size: 28px;
    line-height: 1.2;
  }

  &__scrollbar {
    margin: 30px auto 30px;
    max-width: 450px;
  }
  .slider-button {
    opacity: 0;

    &__next {
      right: -15px;
      transform: translateY(-100%) rotate(180deg);
    }

    &__prev {
      left: -15px;
      transform: translateY(-100%);
    }
  }
}
